require 'spongiae/unit'
require 'spongiae/xliff'

require 'anguilla'

module Spongiae
   module Formats
       
       class XliffFilter
           def initialize(file, props = { :segment => false })
               @file = file; @props = props
           end
           
           # read_strings : build unit for each string
           def read_unit(&sub)
               if @props != nil and @props[:segment] then
                   callback = Spongiae::XLIFF::Xliff_Seg_Callback.new(:unit,false,sub)
               else
                   callback = Spongiae::XLIFF::Xliff_Callback.new(:unit,false,sub)
               end
               Anguilla::parse(@file,callback)
           end
           
           def translate(dest_file_name,translations_map,props={})
              File.open(dest_file_name, 'w:UTF-8') do |dest|
                  writer = Spongiae::XLIFF::XliffWriter.create(dest, @file, props, nil, translations_map)
                  read_unit { |unit| writer.write_unit(unit) }
                  writer.close    
              end
           end
       end
       
   end
end
